Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002965 [JEDI VCL] 00 JVCL Components minor always 2005-05-19 04:53 2005-08-09 03:16
Reporter arturro View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0002965: TJvImageListBox - event onClick has happend twice
Description When I click on any item in JvImageListBox, event onClick has happend twice.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007240)
obones (administrator)
2005-05-19 06:26

Confirmed with D7
(0007366)
anonymous (viewer)
2005-05-30 08:50

When do you plan to fix it?
(0007374)
obones (administrator)
2005-06-01 05:46

I haven't looked at fixing it, I merely confirmed it.
Someone will eventually do so, but time is always the issue.
(0007593)
anonymous (viewer)
2005-07-22 13:46

Commenting out the call to "click" appears to correct this.
Not real sure of what other side-effects this might have.

JvListComb.pas

{$IFDEF VCL}
procedure TJvImageListBox.CNCommand(var Msg: TWMCommand);
begin
  inherited;
  case Msg.NotifyCode of
    LBN_SELCHANGE:
      begin
        inherited Changed;
      // Click; commented this out {EdB}
      end;
  end;
end;
{$ENDIF VCL}
(0007703)
obones (administrator)
2005-08-09 03:16

This is now fixed in CVS, the entire CNCommand code was removed, the base class in the regular VCL was already doing all of it.

- Issue History
Date Modified Username Field Change
2005-05-19 04:53 arturro New Issue
2005-05-19 06:26 obones Note Added: 0007240
2005-05-19 06:26 obones Status new => confirmed
2005-05-30 08:50 anonymous Note Added: 0007366
2005-06-01 05:46 obones Note Added: 0007374
2005-07-22 13:46 anonymous Note Added: 0007593
2005-08-09 03:16 obones Status confirmed => resolved
2005-08-09 03:16 obones Resolution open => fixed
2005-08-09 03:16 obones Assigned To => obones
2005-08-09 03:16 obones Note Added: 0007703


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker